GET /data/departments/{department_id}/software-licenses/{software_id}

Retrieve all software items that are associated with a specific department.

Path parameters

  • department_id Required

    Unique identifier of the department

Responses

  • 200 application/json

    Department software licenses successfully retrieved

    Hide response attributes Show response attributes object
    • id string(uuid)

      Software license unique identifier

    • name string

      Software license name

    • short_name string

      Software license short name

    • file_extension string

      Default file extension for the software license

    • department_id string(uuid)

      Department identifier

    • created_at string(date-time)

      Creation timestamp

    • updated_at string(date-time)

      Last update timestamp

GET /data/departments/{department_id}/software-licenses/{software_id}
curl -X GET "http://api.example.com/data/departments/a24a6ea4-ce75-4665-a070-57453082c25/software-licenses/{software_id}" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json"
import requests

url = "http://api.example.com/data/departments/a24a6ea4-ce75-4665-a070-57453082c25/software-licenses/{software_id}"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json"
}
params = {}
payload = None

response = requests.get(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
curl \
 --request GET 'http://api.example.com/data/departments/a24a6ea4-ce75-4665-a070-57453082c25/software-licenses/{software_id}' \
 --header "Authorization: $API_KEY"
Response examples (200)
[
  {
    "id": "a24a6ea4-ce75-4665-a070-57453082c25",
    "name": "Maya",
    "short_name": "MAYA",
    "file_extension": ".ma",
    "department_id": "b35b7fb5-df86-5776-b181-68564193d36",
    "created_at": "2023-01-01T12:00:00Z",
    "updated_at": "2023-01-01T12:30:00Z"
  }
]